<!DOCTYPE html>
<html lang="fr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link href="../css/style_xvg.css" rel="stylesheet">
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
    <link rel="stylesheet" href="https://code.getmdl.io/1.3.0/material.blue_grey-pink.min.css">
    <script defer src="https://code.getmdl.io/1.3.0/material.min.js"></script>
    <script src="../lib/dialog-polyfill-master/dialog-polyfill.js"></script>
    <script src="../lib/particles.js-master/particles.min.js"></script>
    <script src="../lib/particles.js-master/app.js"></script>
    <title>Connection</title>
</head>

<body>
    <div id="particles-js">
        <!-- Always shows a header, even in smaller screens. -->
        <div class="mdl-layout mdl-js-layout mdl-layout--fixed-header bg">
            <header class="mdl-layout__header">
                <div class="mdl-layout__header-row">
                    <!-- Title -->
                    <span class="mdl-layout-title">Projet Site web - 24H Info Vélizy</span>
                    <!-- Add spacer, to align navigation to the right -->
                    <div class="mdl-layout-spacer"></div>
                    <!-- Navigation. We hide it in small screens. -->
                    <div class="mdl-textfield mdl-js-textfield mdl-textfield--expandable mdl-textfield--floating-label mdl-textfield--align-right">
                        <div class="mdl-textfield__expandable-holder">
                            <input class="mdl-textfield__input" type="text" name="sample" id="fixed-header-drawer-exp">
                        </div>
                    </div>
                </div>
            </header>

            <main class="mdl-layout__content" style="height: 90%;">
                <div class="page-content">
                    <!-- Your content goes here -->


                    <center id="center" class="centre_logging">

                        <div class="paneau_connection mdl-card mdl-shadow--2dp">
                            <div class="connection_titre mdl-card__title">
                                <h1 class="mdl-card__title-text">
                                    <font color="white">Connection</font>
                                </h1>
                            </div>
                            <div class="mdl-card__supporting-text">
                                Connecter vous avec votre Identifiant et votre Mot de passe
                            </div>

                            <div class="mdl-card__actions mdl-card--border">

                                <form method="post" action="../php/connection.php">
                                    <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
                                        <input class="mdl-textfield__input" type="text" name="cardId">
                                        <label class="mdl-textfield__label" for="sample4">Identifiant</label>
                                    </div>

                                    <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
                                        <input class="mdl-textfield__input" type="password" name="mdp">
                                        <label class="mdl-textfield__label" for="sample3">Mot de passe</label>
                                    </div>

                                    <input type="submit" class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect mdl-button--accent" id="btnConnection"
                                        value="Se connecter" />
                                    <br/>

                                    <div class="mdl-spinner mdl-spinner--single-color mdl-js-spinner" id="progressBar"></div>

                                </form>

                            </div>
                            <div class="mdl-card__menu">
                                <button id="menu_panel_co" class="mdl-button mdl-js-button mdl-button--icon">
                                    <i class="material-icons">more_vert</i>
                                </button>

                                <ul class="mdl-menu mdl-menu--bottom-right mdl-js-menu mdl-js-ripple-effect" for="menu_panel_co">
                                    <li class="mdl-menu__item" id="create_account" type="button">Crée un compte</li>
                                    <li class="mdl-menu__item">Mot de passe oublié ?</li>
                                </ul>
                            </div>

                        </div>
                    </center>
                </div>
            </main>
            <footer class="mdl-mini-footer connection">
                <div class="mdl-mini-footer__left-section">
                    <div class="mdl-logo">Site crée par</div>
                    <ul class="mdl-mini-footer__link-list">
                        <li>
                            <a href="">Florian287001</a>
                        </li>
                    </ul>
                </div>
                <div class="mdl-mini-footer__right-section">
                    <div class="mdl-logo">FrameWork utilisé :</div>
                    <ul class="mdl-mini-footer__link-list">
                        <li>
                            <a href="https://getmdl.io/" target="_blank">Material Design Lite</a>
                        </li>
                    </ul>
                </div>
            </footer>
        </div>

    </div>

    <dialog class="mdl-dialog">
        <form method="post" action="../php/mail.php">
            <h4 class="mdl-dialog__title">Crée un compte</h4>
            <div class="mdl-dialog__content">

                <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
                    <input class="mdl-textfield__input" type="text" name="cardId_dialog">
                    <label class="mdl-textfield__label" for="sample4">Identifiant</label>
                </div>

                <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
                    <input class="mdl-textfield__input" type="text" name="nom_dialog">
                    <label class="mdl-textfield__label" for="sample4">Nom</label>
                </div>

                <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
                    <input class="mdl-textfield__input" type="text" name="prenom_dialog">
                    <label class="mdl-textfield__label" for="sample4">Prenom</label>
                </div>

                <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
                    <input class="mdl-textfield__input" type="email" name="mail_dialog">
                    <label class="mdl-textfield__label" for="sample3">Email</label>
                </div>
                <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
                    <input class="mdl-textfield__input mdp_dialog" type="password" name="mdp_dialog">
                    <label class="mdl-textfield__label" for="sample3">Mot de passe</label>
                </div>

            </div>
            <div class="mdl-dialog__actions">
                <button type="submit" class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect mdl-button--accent create">Valider</button>
                <button type="button" class="mdl-button close">Annuler</button>
            </div>
        </form>
    </dialog>

    <script>
        var dialog = document.querySelector('dialog');
        var showDialogButton = document.querySelector('#create_account');
        if (!dialog.showModal) {
            dialogPolyfill.registerDialog(dialog);
        }
        showDialogButton.addEventListener('click', function () {

            var styleFlou = document.getElementById("particles-js");
            styleFlou.style.filter = "blur(7px)";

            dialog.showModal();
        });
        dialog.querySelector('.close').addEventListener('click', function () {
            dialog.close();
            var styleFlou = document.getElementById("particles-js");
            styleFlou.style.filter = "blur(0px)";
        });

        dialog.querySelector('.create').addEventListener('click', function () {

            dialog.close();
            var styleFlou = document.getElementById("particles-js");
            styleFlou.style.filter = "blur(0px)";
        });

    </script>

</body>


</html>